## osmo-trx 1.4.1

=== debian/changelog ===
osmo-trx (1.4.1-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 11 Oct 2022 23:11:51 +0200

osmo-trx (1.4.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: depend on libosmocore >=1.7.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 03 Oct 2022 12:49:51 +0200

osmo-trx (1.4.0-3) unstable; urgency=medium

  * fix autopkgtest

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:50:51 +0100

osmo-trx (1.4.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 15 Mar 2022 18:11:51 +0100

osmo-trx (1.4.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.6.0 (no changes)
  * debian/control: use dh13
  * debian/control: depend on libosmocore >=1.6.0

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Mar 2022 20:11:51 +0000
