=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

CHANGELOG_DATE ?= $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +"%d %B %Y")

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf


override_dh_auto_clean:
	$(RM) tests/testsuite tests/package.m4 tests/testsuite.log .tarball-version
	dh_auto_clean

override_dh_autoreconf:
	echo $(DEB_VERSION_UPSTREAM) > .tarball-version
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --with-lms

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./debian/autotest/autotest
endif

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
