## osmo-trx 1.6.0.7.06c0.202312142026

=== debian/changelog ===
osmo-trx (1.6.0.7.06c0.202312142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 14 Dec 2023 20:27:02 +0000
