## osmo-trx 1.6.0.7.06c0.202312152026

=== debian/changelog ===
osmo-trx (1.6.0.7.06c0.202312152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 15 Dec 2023 20:27:03 +0000
